GameData = Inherit("razgriz_building")

GameData["building_ext"]["build_menu_priority"] = 1.000
GameData["cost_ext"]["time_cost"]["cost"]["power"] = 125.000
GameData["cost_ext"]["time_cost"]["cost"]["requisition"] = 250.000
GameData["cost_ext"]["time_cost"]["time_seconds"] = 55.000
GameData["entity_blueprint_ext"]["animator"] = "Races/Space_Marines/Structures/Progenitor_Temple"
GameData["entity_blueprint_ext"]["scale_x"] = 4.000
GameData["entity_blueprint_ext"]["scale_z"] = 4.000
GameData["health_ext"]["armour"] = 100.000
GameData["health_ext"]["hitpoints"] = 1600.000
GameData["health_ext"]["max_repairers"] = 3.000
GameData["requirement_ext"] = Reference("requirement_ext")
GameData["requirement_ext"]["requirement_table"]["required_1"] = Reference("global_required_addon")
GameData["requirement_ext"]["requirement_table"]["required_1"]["global_addon_name"] = "razgriz_hq_addon_1"
GameData["requirement_ext"]["requirement_table"]["required_2"] = Reference("required_structure")
GameData["requirement_ext"]["requirement_table"]["required_2"]["is_display_requirement"] = true
GameData["requirement_ext"]["requirement_table"]["required_2"]["structure_name"] = "razgriz_hq"
GameData["research_ext"] = Reference("research_ext")
GameData["research_ext"]["research_table"]["research_01"] = "razgriz_force_commander_ability_research_1"
GameData["research_ext"]["research_table"]["research_02"] = "razgriz_force_commander_research_2"
GameData["research_ext"]["research_table"]["research_03"] = "razgriz_commander_health_research_1"
GameData["research_ext"]["research_table"]["research_04"] = "razgriz_commander_health_research_2"
GameData["sight_ext"]["sight_radius"] = 15.000
GameData["site_ext"]["control_structure_use"] = true
GameData["spawner_ext"] = Reference("spawner_ext")
GameData["spawner_ext"]["squad_table"]["squad_01"] = "razgriz_squad_razgriz_apothecary"
GameData["spawner_ext"]["squad_table"]["squad_02"] = "razgriz_squad_death_force"
GameData["spawner_ext"]["squad_table"]["squad_03"] = "razgriz_squad_assault_death_force"
GameData["spawner_ext"]["squad_table"]["squad_04"] = "razgriz_squad_angkor"
GameData["summon_ext"] = Reference("summon_ext")
GameData["type_ext"]["type_armour"] = Reference("tp_building_med")
GameData["ui_ext"]["speech_directory"] = "Speech/Races/Space_Marines/Buildings/Proginator_temple"
GameData["ui_ext"]["ui_hotkey_name"] = "marine_artefact"
GameData["ui_ext"]["ui_index_hint"] = 7.000
GameData["ui_ext"]["ui_info"]["help_text_id"] = "$94021"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_01"] = "$94022"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "$94023"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_03"] = "$94024"
GameData["ui_ext"]["ui_info"]["icon_name"] = "razgriz_icons/progtemple_icon"
GameData["ui_ext"]["ui_info"]["screen_name_id"] = "$94020"
