GameData = Inherit("razgriz_building")

GameData["addon_ext"] = Reference("addon_ext")
GameData["addon_ext"]["addons"]["addon_01"] = "razgriz_turret_addon"
GameData["building_ext"]["build_menu_priority"] = 5.000
GameData["combat_ext"] = Reference("combat_ext")
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["attack_motion_variable_name"] = "Weapon_Range_Tracking_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["hardpoint_weapon_variant_motion_name"] = "Weapon_Range_Upgrade_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["horizontal_aim_motion_variable_name"] = "Aim_Horizontal_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["shoot_motion_variable_name"] = "Weapon_Range_Firing_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["vertical_aim_motion_variable_name"] = "Aim_Vertical_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["muzzle"]["y"] = 1.260
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["muzzle"]["z"] = 1.860
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["name_for_this_weapon_choice"] = "Space_Marines_Heavy_Bolter"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["origin"]["y"] = 1.260
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["weapon"] = "space_marine_heavy_bolter_turret"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["muzzle"]["y"] = 1.260
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["muzzle"]["z"] = 1.020
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["name_for_this_weapon_choice"] = "Space_Marines_Missile_Launcher"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["origin"]["y"] = 1.260
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["weapon"] = "space_marine_missile_turret"
GameData["cost_ext"]["time_cost"]["cost"]["power"] = 75.000
GameData["cost_ext"]["time_cost"]["cost"]["requisition"] = 150.000
GameData["cost_ext"]["time_cost"]["time_seconds"] = 30.000
GameData["entity_blueprint_ext"]["animator"] = "Races/Space_Marines/Structures/Emplacements"
GameData["entity_blueprint_ext"]["scale_x"] = 2.000
GameData["entity_blueprint_ext"]["scale_z"] = 2.000
GameData["health_ext"]["armour"] = 100.000
GameData["health_ext"]["hitpoints"] = 1200.000
GameData["health_ext"]["max_repairers"] = 3.000
GameData["requirement_ext"] = Reference("requirement_ext")
GameData["requirement_ext"]["requirement_table"]["required_1"] = Reference("required_structure")
GameData["requirement_ext"]["requirement_table"]["required_1"]["structure_name"] = "razgriz_hq"
GameData["requirement_ext"]["requirement_table"]["required_10"] = Reference("required_structure")
GameData["requirement_ext"]["requirement_table"]["required_10"]["is_display_requirement"] = true
GameData["requirement_ext"]["requirement_table"]["required_10"]["structure_name"] = "razgriz_hq"
GameData["sight_ext"]["sight_radius"] = 30.000
GameData["site_ext"]["control_structure_use"] = true
GameData["summon_ext"] = Reference("summon_ext")
GameData["ui_ext"]["speech_directory"] = "Speech/Races/Space_Marines/Buildings/Turret"
GameData["ui_ext"]["ui_hotkey_name"] = "marine_bolter_turret"
GameData["ui_ext"]["ui_index_hint"] = 9.000
GameData["ui_ext"]["ui_info"]["help_text_id"] = "$94091"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_01"] = "$94092"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "$94093"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_03"] = "$94094"
GameData["ui_ext"]["ui_info"]["icon_name"] = "razgriz_icons/bolter_turret_icon"
GameData["ui_ext"]["ui_info"]["screen_name_id"] = "$94090"
