GameData = Inherit("razgriz_building")

GameData["building_ext"]["build_menu_priority"] = 8.000
GameData["cost_ext"]["time_cost"]["cost"]["power"] = 100.000
GameData["cost_ext"]["time_cost"]["cost"]["requisition"] = 350.000
GameData["cost_ext"]["time_cost"]["time_seconds"] = 75.000
GameData["entity_blueprint_ext"]["animator"] = "Races/Space_Marines/Structures/Machine_Cult"
GameData["entity_blueprint_ext"]["scale_x"] = 5.000
GameData["entity_blueprint_ext"]["scale_z"] = 5.000
GameData["health_ext"]["armour"] = 100.000
GameData["health_ext"]["hitpoints"] = 4000.000
GameData["health_ext"]["max_repairers"] = 3.000
GameData["modifier_apply_ext"]["modifiers"]["modifier_02"] = Reference("support_cap_player_modifier")
GameData["modifier_apply_ext"]["modifiers"]["modifier_02"]["value"] = 2.000
GameData["requirement_ext"] = Reference("requirement_ext")
GameData["requirement_ext"]["requirement_table"]["required_1"] = Reference("global_required_addon")
GameData["requirement_ext"]["requirement_table"]["required_1"]["global_addon_name"] = "razgriz_hq_addon_1"
GameData["requirement_ext"]["requirement_table"]["required_2"] = Reference("required_structure")
GameData["requirement_ext"]["requirement_table"]["required_2"]["is_display_requirement"] = true
GameData["requirement_ext"]["requirement_table"]["required_2"]["structure_name"] = "razgriz_hq"
GameData["sight_ext"]["sight_radius"] = 15.000
GameData["site_ext"]["control_structure_use"] = true
GameData["site_ext"]["extra_no_build_buffer"] = 2.000
GameData["spawner_ext"] = Reference("spawner_ext")
GameData["spawner_ext"]["squad_table"]["squad_01"] = "razgriz_squad_razgriz_rhino"
GameData["spawner_ext"]["squad_table"]["squad_02"] = "razgriz_squad_razgriz_land_speeder"
GameData["spawner_ext"]["squad_table"]["squad_03"] = "razgriz_squad_razgriz_dreadnought"
GameData["spawner_ext"]["squad_table"]["squad_04"] = "razgriz_squad_razgriz_dreadnought_hellfire"
GameData["spawner_ext"]["squad_table"]["squad_05"] = "razgriz_squad_razgriz_whirlwind"
GameData["spawner_ext"]["squad_table"]["squad_06"] = "razgriz_squad_razgriz_predator"
GameData["spawner_ext"]["squad_table"]["squad_07"] = "razgriz_squad_razgriz_land_raider"
GameData["spawner_ext"]["squad_table"]["squad_08"] = "razgriz_squad_thunder_force"
GameData["summon_ext"] = Reference("summon_ext")
GameData["type_ext"]["type_armour"] = Reference("tp_building_med")
GameData["ui_ext"]["speech_directory"] = "Speech/Races/Space_Marines/Buildings/Machine_cult"
GameData["ui_ext"]["ui_hotkey_name"] = "marine_machine_cult"
GameData["ui_ext"]["ui_index_hint"] = 6.000
GameData["ui_ext"]["ui_info"]["help_text_id"] = "$94081"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_01"] = "$94082"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "- Produces: "
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "- Rhinos, Land Speeders, Dreadnoughts, Predators, Whirlwinds,Land Raiders and Thunder Force Squad."
GameData["ui_ext"]["ui_info"]["icon_name"] = "razgriz_icons/machinecult_icon"
GameData["ui_ext"]["ui_info"]["screen_name_id"] = "$94080"
