
GameData = Inherit("razgriz_soldier")

GameData["ability_ext"] = Reference("ability_ext")
GameData["ability_ext"]["abilities"]["ability_01"] = "razgriz_pariah_blast"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["attack_motion_variable_name"] = "Weapon_Range_Tracking_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["hardpoint_weapon_variant_motion_name"] = "Weapon_Range_Upgrade_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["horizontal_aim_motion_variable_name"] = "Aim_Horizontal_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["shoot_motion_variable_name"] = "Weapon_Range_Firing_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["vertical_aim_motion_variable_name"] = "Aim_Vertical_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["name_for_this_weapon_choice"] = "space_marines_bolt_pistol"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["weapon"] = "assault_death_force_pistol"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["hardpoint_weapon_variant_motion_name"] = "Upgrade_Melee_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["weapon_table"]["weapon_01"]["name_for_this_weapon_choice"] = "Space_Marines_chainsword"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["weapon_table"]["weapon_01"]["weapon"] = "assault_death_force_sword"
GameData["cost_ext"]["time_cost"]["cost"]["requisition"] = 90.000
GameData["cost_ext"]["time_cost"]["cost"]["power"] = 10.000
GameData["cost_ext"]["time_cost"]["time_seconds"] = 11.000
GameData["cover_ext"]["cover_heavy"]["modifiers"]["modifier_02"]["value"] = 1.000
GameData["cover_ext"]["cover_light"]["modifiers"]["modifier_02"]["value"] = 1.000
GameData["cover_ext"]["cover_negative"]["modifiers"]["modifier_02"]["value"] = 1.000
GameData["entity_blueprint_ext"]["animator"] = "Races/razgriz/Troops/assault_death_force"
GameData["health_ext"]["hitpoints"] = 360.000
GameData["health_ext"]["morale_death"] = 40.000
GameData["moving_ext"]["speed_max"] = 24.000
GameData["requirement_ext"] = Reference("requirement_ext")
GameData["requirement_ext"]["requirement_table"]["required_1"] = Reference("required_cap")
GameData["requirement_ext"]["requirement_table"]["required_1"]["max_cap"] = 1.000
GameData["special_attack_physics_ext"]["get_up_time"] = 2.700
GameData["synckill_ext"]["chance"] = 1.000
GameData["ui_ext"]["speech_directory"] = "Speech/Races/Space_Marines/Assault"
GameData["ui_ext"]["ui_hotkey_name"] = "marine_assault_marine"
GameData["ui_ext"]["ui_index_hint"] = 2.000
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_01"] = "- Pariah Unit of the Razgriz."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "- Fast strike Heavy Infantry Unit."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_03"] = "- Breaks enemy's morale."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_04"] = "- Excel at close combat."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_05"] = "- Effective against Demons, Commanders, Infantery and Heavy Infantery. "
GameData["ui_ext"]["ui_info"]["icon_name"] = "razgriz_icons/assault_death_force_icon"
GameData["ui_ext"]["ui_info"]["screen_name_id"] = "Death Force Assault Squad"






