GameData = Inherit("razgriz_squad")

GameData["squad_attach_receive_ext"] = Reference("squad_attach_receive_ext")
GameData["squad_cap_ext"]["squad_cap_usage"] = 2.000
GameData["squad_capture_strategic_point_ext"] = Reference("squad_capture_strategic_point_ext")
GameData["squad_capture_strategic_point_ext"]["capture_rate"] = 0.630
GameData["squad_attach_receive_ext"] = Reference("squad_attach_receive_ext")
GameData["squad_leader_ext"] = Reference("squad_leader_ext")
GameData["squad_leader_ext"]["add_while_moving"] = true
GameData["squad_leader_ext"]["cost_time"]["cost"]["power"] = 20.000
GameData["squad_leader_ext"]["cost_time"]["cost"]["requisition"] = 75.000
GameData["squad_leader_ext"]["cost_time"]["time_seconds"] = 30.000
GameData["squad_leader_ext"]["leader"]["type"] = "admech_sergeant"
GameData["squad_loadout_ext"]["trooper_base"]["type"] = "admech"
GameData["squad_loadout_ext"]["unit_max"] = 10.000
GameData["squad_loadout_ext"]["unit_min"] = 4.000
GameData["squad_morale_ext"] = Reference("squad_morale_ext")
GameData["squad_morale_ext"]["broken_min_morale"] = 150.000
GameData["squad_morale_ext"]["broken_min_time"] = 10.000
GameData["squad_morale_ext"]["default"] = 250.000
GameData["squad_morale_ext"]["max"] = 250.000
GameData["squad_morale_ext"]["morale_armour"] = 0.500
GameData["squad_morale_ext"]["rate_per_second"] = 8.000
GameData["squad_requirement_ext"]["requirement_table"]["required_1"] = Reference("required_squad_cap")
GameData["squad_requirement_ext"]["requirement_table"]["required_1"]["max_squad_cap"] = 2.000
GameData["squad_reinforce_ext"] = Reference("squad_reinforce_ext")
GameData["squad_reinforce_ext"]["cost"]["cost"]["requisition"] = 40.000
GameData["squad_reinforce_ext"]["cost"]["time_seconds"] = 10.000
GameData["squad_reinforce_ext"]["leader_event"] = "Data:Art/Events/Unit_Upgrade_Morale_FX/reinforce_marine_trooper.events"
GameData["squad_reinforce_ext"]["max_upgrades"] = 5.000
GameData["squad_transportable_ext"] = Reference("squad_transportable_ext")
GameData["squad_ui_ext"]["ui_info"]["help_text_id"] = "$97021"
GameData["squad_ui_ext"]["ui_info"]["help_text_list"]["text_01"] = "- Infantery."
GameData["squad_ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "- Elite Soldiers of the Adeptus Mechanicus."
GameData["squad_ui_ext"]["ui_info"]["help_text_list"]["text_03"] = "- Fire Support Unit."
GameData["squad_ui_ext"]["ui_info"]["help_text_list"]["text_04"] = "- Upgradeable to be effective against most unit types."
GameData["squad_ui_ext"]["ui_info"]["icon_name"] = "razgriz_icons/admech_icon"
GameData["squad_ui_ext"]["ui_info"]["screen_name_id"] = "Skitarri Squad"
