GameData = Inherit("admech_shooting_weapons")

GameData["area_effect"]["area_effect_information"]["area_type_name"] = "area_circle"
GameData["area_effect"]["area_effect_information"]["radius"] = 4.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_01"]["armour_piercing_value"] = 85.200
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_01"]["armour_type"] = Reference("tp_infantry_low")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_02"]["armour_piercing_value"] = 73.741
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_02"]["armour_type"] = Reference("tp_monster_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_03"]["armour_piercing_value"] = 78.500
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_03"]["armour_type"] = Reference("tp_infantry_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_04"]["armour_piercing_value"] = 80.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_04"]["armour_type"] = Reference("tp_infantry_heavy_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_05"]["armour_piercing_value"] = 70.210
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_05"]["armour_type"] = Reference("tp_infantry_heavy_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_06"]["armour_piercing_value"] = 30.785
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_06"]["armour_type"] = Reference("tp_vehicle_low")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_07"]["armour_piercing_value"] = 25.272
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_07"]["armour_type"] = Reference("tp_vehicle_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_08"]["armour_piercing_value"] = 15.272
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_08"]["armour_type"] = Reference("tp_vehicle_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_09"]["armour_piercing_value"] = 69.417
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_09"]["armour_type"] = Reference("tp_monster_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_10"]["armour_piercing_value"] = 65.733
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_10"]["armour_type"] = Reference("tp_monster_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_11"]["armour_piercing_value"] = 40.733
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_11"]["armour_type"] = Reference("tp_commander")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_12"]["armour_piercing_value"] = 27.667
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_12"]["armour_type"] = Reference("tp_building_low")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_13"]["armour_piercing_value"] = 23.178
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_13"]["armour_type"] = Reference("tp_building_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_14"]["armour_piercing_value"] = 15.178
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_14"]["armour_type"] = Reference("tp_building_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["max_damage"] = 130.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["min_damage"] = 111.000
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_flesh"] = "Projectile_FX/Krak_Missile_Impact"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_heavy_metal_armour"] = "Projectile_FX/Krak_Missile_Impact_hvy"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_light_metal_armour"] = "Projectile_FX/Krak_Missile_Impact"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_stone"] = "Projectile_FX/Krak_Missile_Impact"
GameData["cost"]["cost"]["power"] = 10.000
GameData["cost"]["cost"]["requisition"] = 25.000
GameData["cost"]["time_seconds"] = 10.000
GameData["fired_projectile"] = "chaos_grenade_launcher_grenade"
GameData["horizontal_traverse_speed"] = 180.000
GameData["max_range"] = 35.000
GameData["min_range"] = 6.000
GameData["reload_time"] = 3.000
GameData["stationary_horizontal_multiplier"] = 0.100
GameData["ui_effective_against"]["text_01"] = "$37954"
GameData["ui_hotkey_name"] = "guard_grenade_launcher"
GameData["ui_info"]["help_text_list"]["text_01"] = "$98800"
GameData["ui_info"]["help_text_list"]["text_02"] = "$98231"
GameData["ui_info"]["help_text_list"]["text_03"] = "$98232"
GameData["ui_info"]["help_text_list"]["text_04"] = "$98233"
GameData["ui_info"]["icon_name"] = "razgriz_icons/upgrade_grenade_launcher"
GameData["ui_info"]["screen_name_id"] = "$98230"
