GameData = Inherit("razgriz_shooting_weapons")

GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing"] = 10.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_01"]["armour_piercing_value"] = 5.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_01"]["armour_type"] = Reference("tp_commander")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_02"]["armour_piercing_value"] = 5.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_02"]["armour_type"] = Reference("tp_infantry_heavy_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_03"]["armour_piercing_value"] = 5.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_03"]["armour_type"] = Reference("tp_infantry_heavy_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_04"]["armour_piercing_value"] = 5.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_04"]["armour_type"] = Reference("tp_monster_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_05"]["armour_piercing_value"] = 5.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_05"]["armour_type"] = Reference("tp_monster_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["max_damage"] = 260.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["min_damage"] = 240.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["min_damage_value"] = 20.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["morale_damage"] = 50.000
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_flesh"] = "Unit_Impact_events\\lascannon_hit"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_heavy_metal_armour"] = "Unit_Impact_events\\lascannon_hit_HVY"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_light_metal_armour"] = "Unit_Impact_events\\lascannon_hit"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_stone"] = "Unit_Impact_events\\lascannon_hit"
GameData["cost"]["cost"]["power"] = 50.000
GameData["cost"]["cost"]["requisition"] = 100.000
GameData["cost"]["time_seconds"] = 15.000
GameData["max_range"] = 50.000
GameData["miss_events"]["dirtsand"] = "unit_impact_events\\lascannon_miss"
GameData["miss_events"]["grass"] = "unit_impact_events\\lascannon_miss"
GameData["miss_events"]["rock"] = "unit_impact_events\\lascannon_miss"
GameData["miss_events"]["water"] = "unit_impact_events\\lascannon_miss"
GameData["obey_terrain_line_of_sight"] = true
GameData["reload_time"] = 3.000
GameData["requirements"]["required_1"] = Reference("global_required_addon")
GameData["requirements"]["required_1"]["global_addon_name"] = "razgriz_hq_addon_2"
GameData["ui_effective_against"]["text_01"] = "$37952"
GameData["ui_effective_against"]["text_02"] = "$37957"
GameData["ui_hotkey_name"] = "marine_lascannon_1"
GameData["ui_info"]["help_text_id"] = "$98061"
GameData["ui_info"]["help_text_list"]["text_01"] = "$98061"
GameData["ui_info"]["help_text_list"]["text_02"] = "$98062"
GameData["ui_info"]["help_text_list"]["text_03"] = "$98063"
GameData["ui_info"]["icon_name"] = "razgriz_icons/upgrade_predator_lascannon"
GameData["ui_info"]["screen_name_id"] = "$98060"
