GameData = Inherit("razgriz_troop")

GameData["combat_ext"] = Reference("combat_ext")
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["attack_motion_variable_name"] = "Weapon_Range_Tracking_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["hardpoint_weapon_variant_motion_name"] = "Weapon_Range_Upgrade_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["horizontal_aim_motion_variable_name"] = "Aim_Horizontal_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["shoot_motion_variable_name"] = "Weapon_Range_Firing_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["vertical_aim_motion_variable_name"] = "Aim_Vertical_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["muzzle"]["x"] = 0.140
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["muzzle"]["y"] = 1.520
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["muzzle"]["z"] = 1.040
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["name_for_this_weapon_choice"] = "guard_lasgun"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["origin"]["y"] = 1.520
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["weapon"] = "admech_gun"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["muzzle"]["x"] = 0.140
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["muzzle"]["y"] = 1.520
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["muzzle"]["z"] = 1.040
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["name_for_this_weapon_choice"] = "guard_grenadelauncher"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["origin"]["y"] = 1.520
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_02"]["weapon"] = "admech_grenade"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_03"]["name_for_this_weapon_choice"] = "guard_plasmagun"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_03"]["weapon"] = "admech_plasma"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["hardpoint_weapon_variant_motion_name"] = "Upgrade_Melee_1"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["horizontal_aim_motion_variable_name"] = ""
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["shoot_motion_variable_name"] = ""
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["weapon_table"]["weapon_01"]["name_for_this_weapon_choice"] = "guard_knife"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["weapon_table"]["weapon_01"]["weapon"] = "admech_bayonet"
GameData["entity_blueprint_ext"]["animator"] = "Single_Player/Troops/Imperial_Guard_Guardsman"
GameData["cost_ext"]["time_cost"]["cost"]["requisition"] = 40.000
GameData["cost_ext"]["time_cost"]["time_seconds"] = 6.000
GameData["health_ext"]["armour"] = 100.000
GameData["health_ext"]["hitpoints"] = 190.000
GameData["health_ext"]["regeneration_rate"] = 1.000
GameData["requirement_ext"] = Reference("requirement_ext")
GameData["requirement_ext"]["requirement_table"]["required_1"] = Reference("required_cap")
GameData["requirement_ext"]["requirement_table"]["required_1"]["max_cap"] = 2.000
GameData["melee_ext"] = Reference("melee_ext")
GameData["melee_ext"]["charge_range"] = 5.000
GameData["moving_ext"]["speed_max"] = 16.000
GameData["sight_ext"]["sight_radius"] = 25.000
GameData["special_attack_physics_ext"]["get_up_time"] = 1.930
GameData["type_ext"]["type_armour"] = Reference("tp_infantry_med")
GameData["ui_ext"]["minimap_teamcolor"] = true
GameData["ui_ext"]["speech_directory"] = "Speech/Single_player/Guardsman"
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_01"] = "- Infantery."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "- Elite Soldiers of the Adeptus Mechanicus."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_03"] = "- Fire Support Unit."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_03"] = "- Upgradeable to be effective against most unit types."
GameData["ui_ext"]["ui_info"]["icon_name"] = "razgriz_icons/admech_icon"
GameData["ui_ext"]["ui_info"]["screen_name_id"] = "Skitarri Squad"