GameData = Inherit("razgriz_soldier")

GameData["ability_ext"] = Reference("ability_ext")
GameData["ability_ext"]["abilities"]["ability_01"] = "razgriz_pariah_blast"
GameData["ability_ext"]["abilities"]["ability_02"] = "orbital_bombardement"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["attack_motion_variable_name"] = "Weapon_Range_Tracking_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["hardpoint_weapon_variant_motion_name"] = "Weapon_Range_Upgrade_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["horizontal_aim_motion_variable_name"] = "Aim_Horizontal_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["shoot_motion_variable_name"] = "Weapon_Range_Firing_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["vertical_aim_motion_variable_name"] = "Aim_Vertical_Main"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["name_for_this_weapon_choice"] = "space_marines_storm_bolter"
GameData["combat_ext"]["hardpoints"]["hardpoint_01"]["weapon_table"]["weapon_01"]["weapon"] = "angkor_bolter"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["weapon_table"]["weapon_01"]["name_for_this_weapon_choice"] = "power_fist"
GameData["combat_ext"]["hardpoints"]["hardpoint_02"]["weapon_table"]["weapon_01"]["weapon"] = "angkor_claw"
GameData["cost_ext"]["cost_power"] = 25.000
GameData["cost_ext"]["cost_req"] = 85.000
GameData["cost_ext"]["cost_time"] = 6.000
GameData["cost_ext"]["time_cost"]["cost"]["power"] = 40.000
GameData["cost_ext"]["time_cost"]["cost"]["requisition"] = 360.000
GameData["cost_ext"]["time_cost"]["time_seconds"] = 17.000
GameData["entity_blueprint_ext"]["animator"] = "Races/razgriz/Troops/angkor"
GameData["health_ext"]["armour"] = 100.000
GameData["health_ext"]["armour_minimum"] = 5.000
GameData["health_ext"]["hitpoints"] = 2100.000
GameData["health_ext"]["morale_death"] = 20.000
GameData["melee_ext"]["charge_modifiers"]["modifier_01"] = Reference("speed_maximum_modifier")
GameData["melee_ext"]["charge_modifiers"]["modifier_01"]["application_type"] = "apply_to_entity"
GameData["melee_ext"]["charge_modifiers"]["modifier_01"]["value"] = 1.500
GameData["melee_ext"]["charge_range"] = 12.000
GameData["moving_ext"]["speed_max"] = 12.000
GameData["requirement_ext"] = Reference("requirement_ext")
GameData["requirement_ext"]["requirement_table"]["required_1"] = Reference("required_cap")
GameData["requirement_ext"]["requirement_table"]["required_1"]["max_cap"] = 1.000
GameData["sight_ext"]["keen_sense"] = true
GameData["sight_ext"]["sight_radius"] = 30.000
GameData["special_attack_physics_ext"]["get_up_time"] = 2.000
GameData["special_attack_physics_ext"]["mass"] = 60.000
GameData["synckill_ext"]["chance"] = 1.000
GameData["type_ext"]["type_armour"] = Reference("tp_commander")
GameData["ui_ext"]["speech_directory"] = "Speech/Races/Space_Marines/Terminator"
GameData["ui_ext"]["ui_hotkey_name"] = "marine_terminator"
GameData["ui_ext"]["ui_index_hint"] = 3.000
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_01"] = "- Death Force Terminator Captain."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_02"] = "- Commander Unit."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_03"] = "- Destroys enemy's morale."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_04"] = "- Can use Orbital Bombardment (requires Orbital Relay building)."
GameData["ui_ext"]["ui_info"]["help_text_list"]["text_05"] = "- Effective against Infantry, Heavy Infantry and Demons. Excels at close combat."
GameData["ui_ext"]["ui_info"]["icon_name"] = "razgriz_icons/angkor_icon"
GameData["ui_ext"]["ui_info"]["screen_name_id"] = "Angkor Urdar"
GameData["ui_ext"]["use_hero_ui"] = true