GameData = Inherit("razgriz_shooting_weapons")

GameData["area_effect"]["throw_data"]["direction_angle_random"] = 5.000
GameData["area_effect"]["throw_data"]["force_max"] = 50.000
GameData["area_effect"]["throw_data"]["force_min"] = 20.000
GameData["area_effect"]["throw_data"]["up_angle_max"] = 25.000
GameData["area_effect"]["throw_data"]["up_angle_min"] = 10.000
GameData["accuracy"] = 0.800
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_01"]["armour_piercing_value"] = 33.400
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_01"]["armour_type"] = Reference("tp_infantry_low")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_02"]["armour_piercing_value"] = 33.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_02"]["armour_type"] = Reference("tp_infantry_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_03"]["armour_piercing_value"] = 33.800
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_03"]["armour_type"] = Reference("tp_infantry_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_04"]["armour_piercing_value"] = 33.200
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_04"]["armour_type"] = Reference("tp_infantry_heavy_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_05"]["armour_piercing_value"] = 33.300
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_05"]["armour_type"] = Reference("tp_infantry_heavy_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_06"]["armour_piercing_value"] = 80.800
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_06"]["armour_type"] = Reference("tp_vehicle_low")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_07"]["armour_piercing_value"] = 49.800
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_07"]["armour_type"] = Reference("tp_vehicle_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_08"]["armour_piercing_value"] = 35.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_08"]["armour_type"] = Reference("tp_vehicle_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_09"]["armour_piercing_value"] = 13.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_09"]["armour_type"] = Reference("tp_monster_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_10"]["armour_piercing_value"] = 15.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_10"]["armour_type"] = Reference("tp_monster_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_11"]["armour_piercing_value"] = 17.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_11"]["armour_type"] = Reference("tp_commander")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_12"]["armour_piercing_value"] = 85.200
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_12"]["armour_type"] = Reference("tp_building_low")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_13"]["armour_piercing_value"] = 68.500
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_13"]["armour_type"] = Reference("tp_building_med")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_14"]["armour_piercing_value"] = 40.900
GameData["area_effect"]["weapon_damage"]["armour_damage"]["armour_piercing_types"]["entry_14"]["armour_type"] = Reference("tp_building_high")
GameData["area_effect"]["weapon_damage"]["armour_damage"]["max_damage"] = 160.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["min_damage"] = 140.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["min_damage_value"] = 25.000
GameData["area_effect"]["weapon_damage"]["armour_damage"]["morale_damage"] = 50.000
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_flesh"] = "Projectile_FX/Krak_Missile_Impact"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_heavy_metal_armour"] = "Projectile_FX/Krak_Missile_Impact_hvy"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_light_metal_armour"] = "Projectile_FX/Krak_Missile_Impact"
GameData["area_effect"]["weapon_damage"]["hit_events"]["tp_stone"] = "Projectile_FX/Krak_Missile_Impact"
GameData["fired_projectile"] = "krak_missile"
GameData["horizontal_traverse_speed"] = 20.000
GameData["max_range"] = 45.000
GameData["max_traverse_up"] = 30.000
GameData["reload_time"] = 2.000
GameData["ui_effective_against"]["text_01"] = "$37957"
GameData["ui_hotkey_name"] = "marine_missile_launcher"
GameData["ui_info"]["help_text_id"] = "$98091"
GameData["ui_info"]["help_text_list"]["text_01"] = "$98800"
GameData["ui_info"]["help_text_list"]["text_02"] = "$98091"
GameData["ui_info"]["help_text_list"]["text_03"] = "$98092"
GameData["ui_info"]["help_text_list"]["text_04"] = "$98093"
GameData["ui_info"]["help_text_list"]["text_05"] = "$98190"
GameData["ui_info"]["screen_name_id"] = "$98090"
GameData["vertical_traverse_speed"] = 10.000
